---

- name: 'Deploy application'
  hosts: all
  tasks:
    - name: Install python3 on machine
      apt:
        name:
        - python3
        - python3-pip
        state: present
        update_cache: yes
    - name: Install docker-py for ansible integration
      pip:
        name: docker-py
        state: present
    - name: Pull an image
      community.docker.docker_image:
        name: hexletcomponents/devops-example-app
        source: pull
    - name: Set up container
      community.docker.docker_container:
        name: devops-example-app
        image: hexletcomponents/devops-example-app
        state: started
        container_default_behavior: no_defaults
        ports:
          - 80:5000
        detach: yes
        restart: yes
        env:
          SERVER_MESSAGE: |
            Serving from {{ ansible_host }}
